import { h } from "preact";
export var ButtonFormats;
(function (ButtonFormats) {
    ButtonFormats[ButtonFormats["DEFAULT"] = 0] = "DEFAULT";
    ButtonFormats[ButtonFormats["PRIMARY"] = 1] = "PRIMARY";
    ButtonFormats[ButtonFormats["SECONDARY"] = 2] = "SECONDARY";
    ButtonFormats[ButtonFormats["ERROR"] = 3] = "ERROR";
    ButtonFormats[ButtonFormats["SUCCESS"] = 4] = "SUCCESS";
})(ButtonFormats || (ButtonFormats = {}));
export default function Button({ children, format, className, class: c, ...props }) {
    let cl = "ht-btn";
    if (className)
        cl += " " + (className || "") + (c || "");
    switch (format) {
        case ButtonFormats.DEFAULT:
            break;
        case ButtonFormats.PRIMARY:
            cl += " ht-btn-primary";
            break;
        case ButtonFormats.SECONDARY:
            cl += " ht-btn-secondary";
            break;
        case ButtonFormats.ERROR:
            cl += " ht-btn-error";
            break;
        case ButtonFormats.SUCCESS:
            cl += " ht-btn-success";
            break;
    }
    return (h("button", Object.assign({ className: cl }, props), children));
}
//# sourceMappingURL=Button.js.map