import { h } from "preact";
export function Input({ className, children, class: c, ...props }) {
    return (h("input", Object.assign({ className: "ht-inp " + (className || "") + (c || "") }, props), children));
}
export function TextArea({ className, children, class: c, ...props }) {
    return (h("textarea", Object.assign({ className: "ht-inp " + (className || "") + (c || "") }, props), children));
}
export function InputGroup({ className, children, class: c, ...props }) {
    return (h("div", Object.assign({ className: "ht-input-group " + (className || "") + (c || "") }, props), children));
}
export function InputCheckbox({ label, ...props }) {
    return (h("label", { class: "ht-input-checkbox" },
        label,
        h("input", Object.assign({ type: "checkbox" }, props)),
        h("span", null)));
}
export function InputRadio({ label, ...props }) {
    return (h("label", { class: "ht-input-checkbox" },
        label,
        h("input", Object.assign({ type: "radio" }, props)),
        h("span", null)));
}
export function InputSelect({ className, class: c, children, ...props }) {
    return (h("select", Object.assign({ className: "ht-inp " + (className || "") + c }, props), children));
}
//# sourceMappingURL=Input.js.map