import { h } from "preact";
export function Modal({ hidden, className, children, ...props }) {
    return (h("div", Object.assign({ className: "ht-modal " +
            (className || "") +
            (props.class || "") +
            (hidden ? "ht-modal-hidden" : "") }, props), children));
}
export function ModalTitle({ className, children, ...props }) {
    return (h("div", Object.assign({ className: "ht-modal-title " + (className || "") + (props.class || "") }, props), children));
}
export function ModalContent({ className, class: c, children, ...props }) {
    return (h("div", Object.assign({ className: "ht-modal-content " + (className || "") + (c || "") }, props), children));
}
export function ModalActions({ className, class: c, children, ...props }) {
    return (h("div", Object.assign({ className: "ht-modal-action " + (className || "") + (c || "") }, props), children));
}
//# sourceMappingURL=Modal.js.map