import { h } from "preact";
export declare enum ThemeModes {
    AUTO = 0,
    LIGHT = 1,
    DARK = 2
}
export interface IThemeProps {
    mode: ThemeModes;
    children: any;
    primary?: string;
    onPrimary?: string;
    secondary?: string;
    onSecondary?: string;
    error?: string;
    onError?: string;
    success?: string;
    onSuccess?: string;
}
export interface IThemeContext {
    mode: ThemeModes.DARK | ThemeModes.LIGHT;
}
export declare const ThemeContext: import("preact").Context<IThemeContext>;
export default function Theme({ mode, children, ...colors }: IThemeProps): h.JSX.Element;
